Request new debit authorization
import requests
url = "https://api.trysynch.com/User/{registrationId}/DebitAuth"
payload = {
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": True,
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/User/{registrationId}/DebitAuth';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', enabled: true, limit: 123})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/User/{registrationId}/DebitAuth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"limit": 123
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/User/{registrationId}/DebitAuth");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"enabled\": true,\n \"limit\": 123\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/User/{registrationId}/DebitAuth")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"enabled\": true,\n \"limit\": 123\n}"
response = http.request(request)
puts response.read_bodyUser
Request new debit authorization
Sends a new request to user for enabling debit authorization
POST
/
User
/
{registrationId}
/
DebitAuth
Request new debit authorization
import requests
url = "https://api.trysynch.com/User/{registrationId}/DebitAuth"
payload = {
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": True,
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/User/{registrationId}/DebitAuth';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', enabled: true, limit: 123})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/User/{registrationId}/DebitAuth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"limit": 123
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/User/{registrationId}/DebitAuth");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"enabled\": true,\n \"limit\": 123\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/User/{registrationId}/DebitAuth")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"enabled\": true,\n \"limit\": 123\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Response
200
OK
Last modified on July 21, 2026
Was this page helpful?
⌘I